Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Fields | Methods | [Expand All]
public interface

# TileProvider

com.google.android.gms.maps.model.TileProvider

Known Indirect Subclasses
UrlTileProvider

UrlTileProvider | A partial implementation of `TileProvider` that only requires a URL that points to an image to be provided.

## Class Overview

An interface for a class that provides the tile images for a `TileOverlay`. For information about the tile coordinate system, see `TileOverlay`.

Calls to methods in this interface might be made from multiple threads so implementations of this interface must be threadsafe.

## Summary

Fields
public static final Tile | NO_TILE | Stub tile that is used to indicate that no tile exists for a specific tile coordinate.

Public Methods
abstract Tile | getTile(int x, int y, int zoom) Returns the tile to be used for this tile coordinate.

## Fields

#### public static final Tile NO_TILE

Stub tile that is used to indicate that no tile exists for a specific tile coordinate.

## Public Methods

#### public abstract Tile getTile (int x, int y, int zoom)

Returns the tile to be used for this tile coordinate.

##### Parameters

x | The x coordinate of the tile. This will be in the range [0, 2zoom - 1] inclusive.
y | The y coordinate of the tile. This will be in the range [0, 2zoom - 1] inclusive.
zoom | The zoom level of the tile. This will be in the range [ `GoogleMap.getMinZoomLevel`, `GoogleMap.getMaxZoomLevel`] inclusive.

##### Returns

- the `Tile` to be used for this tile coordinate. If you do not wish to provide a tile for this tile coordinate, return `NO_TILE`. If the tile could not be found at this point in time, return null and further requests might be made with an exponential backoff.